NFS Export Job¶
Get¶
HTTP Request
GET /api/v1/exports/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "batchSize": 1000,
23 "totalObjectCount": 0,
24 "queueTime": "2019-08-24T14:15:22Z",
25 "startTime": "2019-08-24T14:15:22Z",
26 "endTime": "2019-08-24T14:15:22Z",
27 "status": "CREATED",
28 "fileStorageId": "string",
29 "generatingExportFile": true,
30 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
31 "version": 0,
32 "readOnly": true,
33 "docStoreId": 0,
34 "filter": {
35 "principalPositionType": "LESSEE",
36 "migratedFilterType": "MIGRATED",
37 "erpSystemIds": [
38 0
39 ],
40 "leaseAreaIds": [
41 0
42 ],
43 "businessUnitIds": [
44 0
45 ],
46 "companyIds": [
47 0
48 ],
49 "erpSystemFilterType": "ALL",
50 "leaseAreaFilterType": "ALL",
51 "businessUnitFilterType": "ALL",
52 "companyFilterType": "ALL",
53 "objectTypeFilter": "MASTER_AGREEMENT",
54 "ids": [
55 0
56 ],
57 "leaseComponentRevisionId": 0,
58 "leaseMeasurementId": 0,
59 "fromYear": 0,
60 "toYear": 0,
61 "unitIds": [
62 0
63 ]
64 },
65 "requestReferences": [
66 {
67 "key": "string",
68 "value": "string"
69 }
70 ],
71 "sheetTypes": [
72 {
73 "persistentId": "string",
74 "rowCaption": "string",
75 "tabCaption": "string",
76 "sheetCaption": "string",
77 "sheetGroupType": "MASTER_AGREEMENT",
78 "principalPositionMode": "LESSEE",
79 "order": 0,
80 "name": "string"
81 }
82 ],
83 "sheetGroupTypes": [
84 "MASTER_AGREEMENT"
85 ]
86 }
87}
Update¶
HTTP Request
PUT /api/v1/exports/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "batchSize": 1000,
10 "totalObjectCount": 0,
11 "queueTime": "2019-08-24T14:15:22Z",
12 "startTime": "2019-08-24T14:15:22Z",
13 "endTime": "2019-08-24T14:15:22Z",
14 "status": "CREATED",
15 "fileStorageId": "string",
16 "generatingExportFile": true,
17 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
18 "version": 0,
19 "readOnly": true,
20 "docStoreId": 0,
21 "filter": {
22 "principalPositionType": "LESSEE",
23 "migratedFilterType": "MIGRATED",
24 "erpSystemIds": [
25 0
26 ],
27 "leaseAreaIds": [
28 0
29 ],
30 "businessUnitIds": [
31 0
32 ],
33 "companyIds": [
34 0
35 ],
36 "erpSystemFilterType": "ALL",
37 "leaseAreaFilterType": "ALL",
38 "businessUnitFilterType": "ALL",
39 "companyFilterType": "ALL",
40 "objectTypeFilter": "MASTER_AGREEMENT",
41 "ids": [
42 0
43 ],
44 "leaseComponentRevisionId": 0,
45 "leaseMeasurementId": 0,
46 "fromYear": 0,
47 "toYear": 0,
48 "unitIds": [
49 0
50 ]
51 },
52 "requestReferences": [
53 {
54 "key": "string",
55 "value": "string"
56 }
57 ],
58 "sheetTypes": [
59 {
60 "persistentId": "string",
61 "rowCaption": "string",
62 "tabCaption": "string",
63 "sheetCaption": "string",
64 "sheetGroupType": "MASTER_AGREEMENT",
65 "principalPositionMode": "LESSEE",
66 "order": 0,
67 "name": "string"
68 }
69 ],
70 "sheetGroupTypes": [
71 "MASTER_AGREEMENT"
72 ]
73}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "batchSize": 1000,
23 "totalObjectCount": 0,
24 "queueTime": "2019-08-24T14:15:22Z",
25 "startTime": "2019-08-24T14:15:22Z",
26 "endTime": "2019-08-24T14:15:22Z",
27 "status": "CREATED",
28 "fileStorageId": "string",
29 "generatingExportFile": true,
30 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
31 "version": 0,
32 "readOnly": true,
33 "docStoreId": 0,
34 "filter": {
35 "principalPositionType": "LESSEE",
36 "migratedFilterType": "MIGRATED",
37 "erpSystemIds": [
38 0
39 ],
40 "leaseAreaIds": [
41 0
42 ],
43 "businessUnitIds": [
44 0
45 ],
46 "companyIds": [
47 0
48 ],
49 "erpSystemFilterType": "ALL",
50 "leaseAreaFilterType": "ALL",
51 "businessUnitFilterType": "ALL",
52 "companyFilterType": "ALL",
53 "objectTypeFilter": "MASTER_AGREEMENT",
54 "ids": [
55 0
56 ],
57 "leaseComponentRevisionId": 0,
58 "leaseMeasurementId": 0,
59 "fromYear": 0,
60 "toYear": 0,
61 "unitIds": [
62 0
63 ]
64 },
65 "requestReferences": [
66 {
67 "key": "string",
68 "value": "string"
69 }
70 ],
71 "sheetTypes": [
72 {
73 "persistentId": "string",
74 "rowCaption": "string",
75 "tabCaption": "string",
76 "sheetCaption": "string",
77 "sheetGroupType": "MASTER_AGREEMENT",
78 "principalPositionMode": "LESSEE",
79 "order": 0,
80 "name": "string"
81 }
82 ],
83 "sheetGroupTypes": [
84 "MASTER_AGREEMENT"
85 ]
86 }
87}
Create Or Update Bulk¶
HTTP Request
PUT /api/v1/exports/createOrUpdate/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "taskCount": 0,
5 "failedTaskCount": 0,
6 "doneTaskCount": 0,
7 "inProgressTaskCount": 0,
8 "cancelledTaskCount": 0,
9 "errorMessage": "string",
10 "batchSize": 1000,
11 "totalObjectCount": 0,
12 "queueTime": "2019-08-24T14:15:22Z",
13 "startTime": "2019-08-24T14:15:22Z",
14 "endTime": "2019-08-24T14:15:22Z",
15 "status": "CREATED",
16 "fileStorageId": "string",
17 "generatingExportFile": true,
18 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
19 "version": 0,
20 "readOnly": true,
21 "docStoreId": 0,
22 "filter": {
23 "principalPositionType": "LESSEE",
24 "migratedFilterType": "MIGRATED",
25 "erpSystemIds": [
26 0
27 ],
28 "leaseAreaIds": [
29 0
30 ],
31 "businessUnitIds": [
32 0
33 ],
34 "companyIds": [
35 0
36 ],
37 "erpSystemFilterType": "ALL",
38 "leaseAreaFilterType": "ALL",
39 "businessUnitFilterType": "ALL",
40 "companyFilterType": "ALL",
41 "objectTypeFilter": "MASTER_AGREEMENT",
42 "ids": [
43 0
44 ],
45 "leaseComponentRevisionId": 0,
46 "leaseMeasurementId": 0,
47 "fromYear": 0,
48 "toYear": 0,
49 "unitIds": [
50 0
51 ]
52 },
53 "requestReferences": [
54 {
55 "key": "string",
56 "value": "string"
57 }
58 ],
59 "sheetTypes": [
60 {
61 "persistentId": "string",
62 "rowCaption": "string",
63 "tabCaption": "string",
64 "sheetCaption": "string",
65 "sheetGroupType": "MASTER_AGREEMENT",
66 "principalPositionMode": "LESSEE",
67 "order": 0,
68 "name": "string"
69 }
70 ],
71 "sheetGroupTypes": [
72 "MASTER_AGREEMENT"
73 ]
74 }
75]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "taskCount": 0,
18 "failedTaskCount": 0,
19 "doneTaskCount": 0,
20 "inProgressTaskCount": 0,
21 "cancelledTaskCount": 0,
22 "errorMessage": "string",
23 "batchSize": 1000,
24 "totalObjectCount": 0,
25 "queueTime": "2019-08-24T14:15:22Z",
26 "startTime": "2019-08-24T14:15:22Z",
27 "endTime": "2019-08-24T14:15:22Z",
28 "status": "CREATED",
29 "fileStorageId": "string",
30 "generatingExportFile": true,
31 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
32 "version": 0,
33 "readOnly": true,
34 "docStoreId": 0,
35 "filter": {
36 "principalPositionType": "LESSEE",
37 "migratedFilterType": "MIGRATED",
38 "erpSystemIds": [
39 0
40 ],
41 "leaseAreaIds": [
42 0
43 ],
44 "businessUnitIds": [
45 0
46 ],
47 "companyIds": [
48 0
49 ],
50 "erpSystemFilterType": "ALL",
51 "leaseAreaFilterType": "ALL",
52 "businessUnitFilterType": "ALL",
53 "companyFilterType": "ALL",
54 "objectTypeFilter": "MASTER_AGREEMENT",
55 "ids": [
56 0
57 ],
58 "leaseComponentRevisionId": 0,
59 "leaseMeasurementId": 0,
60 "fromYear": 0,
61 "toYear": 0,
62 "unitIds": [
63 0
64 ]
65 },
66 "requestReferences": [
67 {
68 "key": "string",
69 "value": "string"
70 }
71 ],
72 "sheetTypes": [
73 {
74 "persistentId": "string",
75 "rowCaption": "string",
76 "tabCaption": "string",
77 "sheetCaption": "string",
78 "sheetGroupType": "MASTER_AGREEMENT",
79 "principalPositionMode": "LESSEE",
80 "order": 0,
81 "name": "string"
82 }
83 ],
84 "sheetGroupTypes": [
85 "MASTER_AGREEMENT"
86 ]
87 }
88 ]
89}
Create Or Update¶
HTTP Request
PUT /api/v1/exports/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "batchSize": 1000,
10 "totalObjectCount": 0,
11 "queueTime": "2019-08-24T14:15:22Z",
12 "startTime": "2019-08-24T14:15:22Z",
13 "endTime": "2019-08-24T14:15:22Z",
14 "status": "CREATED",
15 "fileStorageId": "string",
16 "generatingExportFile": true,
17 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
18 "version": 0,
19 "readOnly": true,
20 "docStoreId": 0,
21 "filter": {
22 "principalPositionType": "LESSEE",
23 "migratedFilterType": "MIGRATED",
24 "erpSystemIds": [
25 0
26 ],
27 "leaseAreaIds": [
28 0
29 ],
30 "businessUnitIds": [
31 0
32 ],
33 "companyIds": [
34 0
35 ],
36 "erpSystemFilterType": "ALL",
37 "leaseAreaFilterType": "ALL",
38 "businessUnitFilterType": "ALL",
39 "companyFilterType": "ALL",
40 "objectTypeFilter": "MASTER_AGREEMENT",
41 "ids": [
42 0
43 ],
44 "leaseComponentRevisionId": 0,
45 "leaseMeasurementId": 0,
46 "fromYear": 0,
47 "toYear": 0,
48 "unitIds": [
49 0
50 ]
51 },
52 "requestReferences": [
53 {
54 "key": "string",
55 "value": "string"
56 }
57 ],
58 "sheetTypes": [
59 {
60 "persistentId": "string",
61 "rowCaption": "string",
62 "tabCaption": "string",
63 "sheetCaption": "string",
64 "sheetGroupType": "MASTER_AGREEMENT",
65 "principalPositionMode": "LESSEE",
66 "order": 0,
67 "name": "string"
68 }
69 ],
70 "sheetGroupTypes": [
71 "MASTER_AGREEMENT"
72 ]
73}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "batchSize": 1000,
23 "totalObjectCount": 0,
24 "queueTime": "2019-08-24T14:15:22Z",
25 "startTime": "2019-08-24T14:15:22Z",
26 "endTime": "2019-08-24T14:15:22Z",
27 "status": "CREATED",
28 "fileStorageId": "string",
29 "generatingExportFile": true,
30 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
31 "version": 0,
32 "readOnly": true,
33 "docStoreId": 0,
34 "filter": {
35 "principalPositionType": "LESSEE",
36 "migratedFilterType": "MIGRATED",
37 "erpSystemIds": [
38 0
39 ],
40 "leaseAreaIds": [
41 0
42 ],
43 "businessUnitIds": [
44 0
45 ],
46 "companyIds": [
47 0
48 ],
49 "erpSystemFilterType": "ALL",
50 "leaseAreaFilterType": "ALL",
51 "businessUnitFilterType": "ALL",
52 "companyFilterType": "ALL",
53 "objectTypeFilter": "MASTER_AGREEMENT",
54 "ids": [
55 0
56 ],
57 "leaseComponentRevisionId": 0,
58 "leaseMeasurementId": 0,
59 "fromYear": 0,
60 "toYear": 0,
61 "unitIds": [
62 0
63 ]
64 },
65 "requestReferences": [
66 {
67 "key": "string",
68 "value": "string"
69 }
70 ],
71 "sheetTypes": [
72 {
73 "persistentId": "string",
74 "rowCaption": "string",
75 "tabCaption": "string",
76 "sheetCaption": "string",
77 "sheetGroupType": "MASTER_AGREEMENT",
78 "principalPositionMode": "LESSEE",
79 "order": 0,
80 "name": "string"
81 }
82 ],
83 "sheetGroupTypes": [
84 "MASTER_AGREEMENT"
85 ]
86 }
87}
Bulk Update¶
HTTP Request
PUT /api/v1/exports/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "taskCount": 0,
5 "failedTaskCount": 0,
6 "doneTaskCount": 0,
7 "inProgressTaskCount": 0,
8 "cancelledTaskCount": 0,
9 "errorMessage": "string",
10 "batchSize": 1000,
11 "totalObjectCount": 0,
12 "queueTime": "2019-08-24T14:15:22Z",
13 "startTime": "2019-08-24T14:15:22Z",
14 "endTime": "2019-08-24T14:15:22Z",
15 "status": "CREATED",
16 "fileStorageId": "string",
17 "generatingExportFile": true,
18 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
19 "version": 0,
20 "readOnly": true,
21 "docStoreId": 0,
22 "filter": {
23 "principalPositionType": "LESSEE",
24 "migratedFilterType": "MIGRATED",
25 "erpSystemIds": [
26 0
27 ],
28 "leaseAreaIds": [
29 0
30 ],
31 "businessUnitIds": [
32 0
33 ],
34 "companyIds": [
35 0
36 ],
37 "erpSystemFilterType": "ALL",
38 "leaseAreaFilterType": "ALL",
39 "businessUnitFilterType": "ALL",
40 "companyFilterType": "ALL",
41 "objectTypeFilter": "MASTER_AGREEMENT",
42 "ids": [
43 0
44 ],
45 "leaseComponentRevisionId": 0,
46 "leaseMeasurementId": 0,
47 "fromYear": 0,
48 "toYear": 0,
49 "unitIds": [
50 0
51 ]
52 },
53 "requestReferences": [
54 {
55 "key": "string",
56 "value": "string"
57 }
58 ],
59 "sheetTypes": [
60 {
61 "persistentId": "string",
62 "rowCaption": "string",
63 "tabCaption": "string",
64 "sheetCaption": "string",
65 "sheetGroupType": "MASTER_AGREEMENT",
66 "principalPositionMode": "LESSEE",
67 "order": 0,
68 "name": "string"
69 }
70 ],
71 "sheetGroupTypes": [
72 "MASTER_AGREEMENT"
73 ]
74 }
75]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "taskCount": 0,
18 "failedTaskCount": 0,
19 "doneTaskCount": 0,
20 "inProgressTaskCount": 0,
21 "cancelledTaskCount": 0,
22 "errorMessage": "string",
23 "batchSize": 1000,
24 "totalObjectCount": 0,
25 "queueTime": "2019-08-24T14:15:22Z",
26 "startTime": "2019-08-24T14:15:22Z",
27 "endTime": "2019-08-24T14:15:22Z",
28 "status": "CREATED",
29 "fileStorageId": "string",
30 "generatingExportFile": true,
31 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
32 "version": 0,
33 "readOnly": true,
34 "docStoreId": 0,
35 "filter": {
36 "principalPositionType": "LESSEE",
37 "migratedFilterType": "MIGRATED",
38 "erpSystemIds": [
39 0
40 ],
41 "leaseAreaIds": [
42 0
43 ],
44 "businessUnitIds": [
45 0
46 ],
47 "companyIds": [
48 0
49 ],
50 "erpSystemFilterType": "ALL",
51 "leaseAreaFilterType": "ALL",
52 "businessUnitFilterType": "ALL",
53 "companyFilterType": "ALL",
54 "objectTypeFilter": "MASTER_AGREEMENT",
55 "ids": [
56 0
57 ],
58 "leaseComponentRevisionId": 0,
59 "leaseMeasurementId": 0,
60 "fromYear": 0,
61 "toYear": 0,
62 "unitIds": [
63 0
64 ]
65 },
66 "requestReferences": [
67 {
68 "key": "string",
69 "value": "string"
70 }
71 ],
72 "sheetTypes": [
73 {
74 "persistentId": "string",
75 "rowCaption": "string",
76 "tabCaption": "string",
77 "sheetCaption": "string",
78 "sheetGroupType": "MASTER_AGREEMENT",
79 "principalPositionMode": "LESSEE",
80 "order": 0,
81 "name": "string"
82 }
83 ],
84 "sheetGroupTypes": [
85 "MASTER_AGREEMENT"
86 ]
87 }
88 ]
89}
List NFS Sheet Group Types¶
HTTP Request
POST /api/v1/exports/types
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "MASTER_AGREEMENT"
3]
Response Schema
Search Tasks¶
HTTP Request
POST /api/v1/exports/tasks/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» filter |
body |
false |
none |
|
»» idIn |
body |
[integer] |
false |
none |
»» idEqual |
body |
integer(int64) |
false |
none |
»» idLike |
body |
string |
false |
none |
»» createdAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdByLike |
body |
string |
false |
none |
»» createdByEqual |
body |
string |
false |
none |
»» modifiedAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedByLike |
body |
string |
false |
none |
»» modifiedByEqual |
body |
string |
false |
none |
»» queueTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» queueTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» startTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» startTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» endTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» endTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» statusIn |
body |
[string] |
false |
none |
»» statusEqual |
body |
string |
false |
none |
»» jobIdEqual |
body |
integer(int64) |
false |
none |
»» itemsSheetTypeIn |
body |
false |
none |
|
»»» persistentId |
body |
string |
true |
none |
»»» rowCaption |
body |
string |
true |
none |
»»» tabCaption |
body |
string |
true |
none |
»»» sheetCaption |
body |
string |
true |
none |
»»» sheetGroupType |
body |
string |
true |
none |
»»» principalPositionMode |
body |
string |
true |
none |
»»» order |
body |
integer(int32) |
false |
none |
»»» name |
body |
string |
true |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» statusEqual |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»» statusIn |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»»» principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
»»» sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filter": {
3 "idIn": [
4 0
5 ],
6 "idEqual": 0,
7 "idLike": "string",
8 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
10 "createdByLike": "string",
11 "createdByEqual": "string",
12 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
14 "modifiedByLike": "string",
15 "modifiedByEqual": "string",
16 "queueTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
17 "queueTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
18 "startTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
19 "startTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
20 "endTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
21 "endTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
22 "statusIn": [
23 "CREATED"
24 ],
25 "statusEqual": "CREATED",
26 "jobIdEqual": 0,
27 "itemsSheetTypeIn": [
28 {
29 "persistentId": "string",
30 "rowCaption": "string",
31 "tabCaption": "string",
32 "sheetCaption": "string",
33 "sheetGroupType": "MASTER_AGREEMENT",
34 "principalPositionMode": "LESSEE",
35 "order": 0,
36 "name": "string"
37 }
38 ]
39 },
40 "pageable": {
41 "page": 0,
42 "size": 10,
43 "sort": [
44 "id,asc",
45 "name,desc"
46 ]
47 }
48}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "queueTime": "2019-08-24T14:15:22Z",
24 "startTime": "2019-08-24T14:15:22Z",
25 "endTime": "2019-08-24T14:15:22Z",
26 "interruptedAt": "2019-08-24T14:15:22Z",
27 "recoveredAt": "2019-08-24T14:15:22Z",
28 "status": "CREATED",
29 "recover": true,
30 "interrupted": true,
31 "interruptionMessage": "string",
32 "errorMessage": "string",
33 "totalObjectCount": 0,
34 "jobId": 0,
35 "filter": {
36 "principalPositionType": "LESSEE",
37 "migratedFilterType": "MIGRATED",
38 "erpSystemIds": [
39 0
40 ],
41 "leaseAreaIds": [
42 0
43 ],
44 "businessUnitIds": [
45 0
46 ],
47 "companyIds": [
48 0
49 ],
50 "erpSystemFilterType": "ALL",
51 "leaseAreaFilterType": "ALL",
52 "businessUnitFilterType": "ALL",
53 "companyFilterType": "ALL",
54 "objectTypeFilter": "MASTER_AGREEMENT",
55 "ids": [
56 0
57 ],
58 "leaseComponentRevisionId": 0,
59 "leaseMeasurementId": 0,
60 "fromYear": 0,
61 "toYear": 0,
62 "unitIds": [
63 0
64 ]
65 },
66 "items": [
67 {
68 "id": 0,
69 "exportTaskId": 0,
70 "sheetType": {
71 "persistentId": "string",
72 "rowCaption": "string",
73 "tabCaption": "string",
74 "sheetCaption": "string",
75 "sheetGroupType": "MASTER_AGREEMENT",
76 "principalPositionMode": "LESSEE",
77 "order": 0,
78 "name": "string"
79 },
80 "startedAt": "2019-08-24T14:15:22Z",
81 "finishedAt": "2019-08-24T14:15:22Z",
82 "doneItemCount": 0,
83 "failedItemCount": 0,
84 "skippedItemCount": 0,
85 "cancelledItemCount": 0,
86 "totalItemCount": 0
87 }
88 ]
89 }
90 ],
91 "number": 0,
92 "sort": {
93 "unsorted": false,
94 "sorted": true,
95 "empty": false
96 },
97 "empty": true
98}
List Sorted Export Job Sheet Types¶
HTTP Request
POST /api/v1/exports/sub-items
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "batchSize": 1000,
10 "totalObjectCount": 0,
11 "queueTime": "2019-08-24T14:15:22Z",
12 "startTime": "2019-08-24T14:15:22Z",
13 "endTime": "2019-08-24T14:15:22Z",
14 "status": "CREATED",
15 "fileStorageId": "string",
16 "generatingExportFile": true,
17 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
18 "version": 0,
19 "readOnly": true,
20 "docStoreId": 0,
21 "filter": {
22 "principalPositionType": "LESSEE",
23 "migratedFilterType": "MIGRATED",
24 "erpSystemIds": [
25 0
26 ],
27 "leaseAreaIds": [
28 0
29 ],
30 "businessUnitIds": [
31 0
32 ],
33 "companyIds": [
34 0
35 ],
36 "erpSystemFilterType": "ALL",
37 "leaseAreaFilterType": "ALL",
38 "businessUnitFilterType": "ALL",
39 "companyFilterType": "ALL",
40 "objectTypeFilter": "MASTER_AGREEMENT",
41 "ids": [
42 0
43 ],
44 "leaseComponentRevisionId": 0,
45 "leaseMeasurementId": 0,
46 "fromYear": 0,
47 "toYear": 0,
48 "unitIds": [
49 0
50 ]
51 },
52 "requestReferences": [
53 {
54 "key": "string",
55 "value": "string"
56 }
57 ],
58 "sheetTypes": [
59 {
60 "persistentId": "string",
61 "rowCaption": "string",
62 "tabCaption": "string",
63 "sheetCaption": "string",
64 "sheetGroupType": "MASTER_AGREEMENT",
65 "principalPositionMode": "LESSEE",
66 "order": 0,
67 "name": "string"
68 }
69 ],
70 "sheetGroupTypes": [
71 "MASTER_AGREEMENT"
72 ]
73}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "persistentId": "string",
4 "rowCaption": "string",
5 "tabCaption": "string",
6 "sheetCaption": "string",
7 "sheetGroupType": "MASTER_AGREEMENT",
8 "principalPositionMode": "LESSEE",
9 "order": 0,
10 "name": "string"
11 }
12]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» persistentId |
string |
true |
none |
none |
» rowCaption |
string |
true |
none |
none |
» tabCaption |
string |
true |
none |
none |
» sheetCaption |
string |
true |
none |
none |
» sheetGroupType |
string |
true |
none |
none |
» principalPositionMode |
string |
true |
none |
none |
» order |
integer(int32) |
false |
none |
none |
» name |
string |
true |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Search Units¶
HTTP Request
POST /api/v1/exports/search/units
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» searchRequest |
body |
false |
none |
|
»» erpSystemIds |
body |
[integer] |
false |
none |
»» leaseAreaIds |
body |
[integer] |
false |
none |
»» businessUnitIds |
body |
[integer] |
false |
none |
»» companyIds |
body |
[integer] |
false |
none |
»» searchTerm |
body |
string |
false |
none |
»» principalPositionType |
body |
string |
false |
none |
»» migratedFilterType |
body |
string |
false |
none |
»» fromYear |
body |
integer(int32) |
false |
none |
»» toYear |
body |
integer(int32) |
false |
none |
»» ids |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» migratedFilterType |
ALL, MIGRATED, NON_MIGRATED |
»» principalPositionType |
LESSEE, LESSOR |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "searchRequest": {
3 "erpSystemIds": [
4 0
5 ],
6 "leaseAreaIds": [
7 0
8 ],
9 "businessUnitIds": [
10 0
11 ],
12 "companyIds": [
13 0
14 ],
15 "searchTerm": "string",
16 "principalPositionType": "LESSEE",
17 "migratedFilterType": "MIGRATED",
18 "fromYear": 0,
19 "toYear": 0,
20 "ids": [
21 0
22 ]
23 },
24 "pageable": {
25 "page": 0,
26 "size": 10,
27 "sort": [
28 "id,asc",
29 "name,desc"
30 ]
31 }
32}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 10000001,
23 "displayId": "UNIT-10000001",
24 "name": "Office Laptop",
25 "description": "Laptop issued to employee",
26 "assetNumber": "A-123456",
27 "referenceId": "REF-001",
28 "serialNumber": "SN-987654321",
29 "licenseNumber": "LIC-2025-001",
30 "inventoryNumber": "INV-2025-001",
31 "room": "Room 101",
32 "location": "Head Office",
33 "evaluationGroup1": "EG1",
34 "evaluationGroup2": "EG2",
35 "evaluationGroup3": "EG3",
36 "investmentReason": "New Employee Onboarding",
37 "typeName": "Laptop",
38 "calculateGrossTax": true,
39 "shippingDate": "2025-01-01",
40 "deliveryDate": "2025-01-03",
41 "receptionDate": "2025-01-03",
42 "activationDate": "2025-01-05",
43 "rouEndDate": "2026-01-01",
44 "erpAssetRetirementDate": "2030-12-31",
45 "state": "UNIT_ACTIVE",
46 "activationGroupId": 10000001,
47 "activationGroupDisplayId": "AG-10000001",
48 "principalPositionType": {
49 "name": "LESSEE",
50 "captionKey": "enum.principalpositiontype.lessee",
51 "caption": "Lessee"
52 },
53 "internalAssetClass": {
54 "id": 10000001,
55 "displayId": "IAC-001",
56 "status": {
57 "name": "ACTIVE",
58 "captionKey": "enum.objectStatus.active",
59 "active": true,
60 "caption": "Active"
61 },
62 "name": "Machinery and Equipment",
63 "assetClassType": "PROPERTY",
64 "infiniteUsefulLife": false
65 },
66 "costCenterAllocations": [
67 {
68 "id": 10001,
69 "mainCostCenter": true,
70 "allocationPercentage": 75,
71 "costCenter": {
72 "id": 14001,
73 "displayId": "CC-001",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "name": "Cost Center A"
81 },
82 "profitCenter": {
83 "id": 9001,
84 "displayId": "PC-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "North Region Profit Center",
92 "validTo": "2025-12-31",
93 "erpSystemId": 101,
94 "erpSystemDisplayId": "SAP-01"
95 }
96 }
97 ],
98 "numberRangeIdentifierType": {
99 "name": "COMPANY_CODE"
100 },
101 "numberRangeIdentifierValue": "1000",
102 "numberRangeType": {
103 "name": "CONTRACT"
104 },
105 "allowsSystemGenerateNewId": false
106 }
107 ],
108 "number": 0,
109 "sort": {
110 "unsorted": false,
111 "sorted": true,
112 "empty": false
113 },
114 "empty": true
115}
Search Master Agreements¶
HTTP Request
POST /api/v1/exports/search/master-agreements
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» searchRequest |
body |
false |
none |
|
»» erpSystemIds |
body |
[integer] |
false |
none |
»» leaseAreaIds |
body |
[integer] |
false |
none |
»» businessUnitIds |
body |
[integer] |
false |
none |
»» companyIds |
body |
[integer] |
false |
none |
»» searchTerm |
body |
string |
false |
none |
»» principalPositionType |
body |
string |
false |
none |
»» migratedFilterType |
body |
string |
false |
none |
»» fromYear |
body |
integer(int32) |
false |
none |
»» toYear |
body |
integer(int32) |
false |
none |
»» ids |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» migratedFilterType |
ALL, MIGRATED, NON_MIGRATED |
»» principalPositionType |
LESSEE, LESSOR |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "searchRequest": {
3 "erpSystemIds": [
4 0
5 ],
6 "leaseAreaIds": [
7 0
8 ],
9 "businessUnitIds": [
10 0
11 ],
12 "companyIds": [
13 0
14 ],
15 "searchTerm": "string",
16 "principalPositionType": "LESSEE",
17 "migratedFilterType": "MIGRATED",
18 "fromYear": 0,
19 "toYear": 0,
20 "ids": [
21 0
22 ]
23 },
24 "pageable": {
25 "page": 0,
26 "size": 10,
27 "sort": [
28 "id,asc",
29 "name,desc"
30 ]
31 }
32}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "first": true,
18 "last": true,
19 "size": 100,
20 "content": [
21 {
22 "id": 10000086,
23 "displayId": "MA-2025-0001",
24 "year": 2023,
25 "name": "Global HQ Lease Agreement",
26 "description": "Master lease agreement for HQ premises.",
27 "validFrom": "2019-08-24",
28 "validTo": "2019-08-24",
29 "targetValue": 1000000,
30 "legalJurisdiction": "Germany",
31 "approverComment": "Reviewed and approved by legal team.",
32 "signingPerson": "John Doe",
33 "placeOfSignature": "Berlin, Germany",
34 "dateOfSignature": "2019-08-24",
35 "state": "MLA_DEFINE",
36 "dataCreationInfo": {
37 "id": 0,
38 "idGenerationType": "AUTO",
39 "source": "string",
40 "type": "MIGRATION",
41 "startDateTime": "2019-08-24T14:15:22Z",
42 "endDateTime": "2019-08-24T14:15:22Z"
43 },
44 "agreementGroup": {
45 "id": 20000001,
46 "displayId": "AG-001",
47 "status": {
48 "name": "ACTIVE",
49 "captionKey": "enum.objectStatus.active",
50 "active": true,
51 "caption": "Active"
52 },
53 "name": "Global Agreement Group"
54 },
55 "currency": {
56 "id": 840,
57 "displayId": "USD",
58 "status": {
59 "name": "ACTIVE",
60 "captionKey": "enum.objectStatus.active",
61 "active": true,
62 "caption": "Active"
63 },
64 "name": "United States Dollar",
65 "decimalPoints": 2
66 },
67 "internalAssetClass": {
68 "id": 10000001,
69 "displayId": "IAC-001",
70 "status": {
71 "name": "ACTIVE",
72 "captionKey": "enum.objectStatus.active",
73 "active": true,
74 "caption": "Active"
75 },
76 "name": "Machinery and Equipment",
77 "assetClassType": "PROPERTY",
78 "infiniteUsefulLife": false
79 },
80 "leaseArea": {
81 "id": 10000001,
82 "displayId": "0001",
83 "status": {
84 "name": "ACTIVE",
85 "captionKey": "enum.objectStatus.active",
86 "active": true,
87 "caption": "Active"
88 },
89 "name": "Global Lease Area"
90 },
91 "businessUnit": {
92 "id": 10000001,
93 "displayId": "BU0001",
94 "status": {
95 "name": "ACTIVE",
96 "captionKey": "enum.objectStatus.active",
97 "active": true,
98 "caption": "Active"
99 },
100 "name": "North America Business Unit"
101 },
102 "companyCode": {
103 "id": 10000006,
104 "displayId": "1005",
105 "status": {
106 "name": "ACTIVE",
107 "captionKey": "enum.objectStatus.active",
108 "active": true,
109 "caption": "Active"
110 },
111 "erpSystemId": 10000001,
112 "erpSystemDisplayId": "FINQ8S-300",
113 "countryId": 10000095,
114 "countryDisplayId": "CA",
115 "postingPeriodVariantId": 0,
116 "fiscalVariantId": 0
117 },
118 "department": {
119 "id": 300001,
120 "displayId": "DEP-01",
121 "status": {
122 "name": "ACTIVE",
123 "captionKey": "enum.objectStatus.active",
124 "active": true,
125 "caption": "Active"
126 },
127 "name": "Finance Department"
128 },
129 "leaseGroup": {
130 "id": 60000001,
131 "displayId": "LG-001",
132 "status": {
133 "name": "ACTIVE",
134 "captionKey": "enum.objectStatus.active",
135 "active": true,
136 "caption": "Active"
137 },
138 "name": "Global Lease Group"
139 },
140 "allowsSystemGenerateNewId": true,
141 "numberRangeIdentifierType": {
142 "name": "COMPANY_CODE"
143 },
144 "numberRangeIdentifierValue": "0001",
145 "numberRangeType": {
146 "name": "CONTRACT"
147 }
148 }
149 ],
150 "number": 0,
151 "sort": {
152 "unsorted": false,
153 "sorted": true,
154 "empty": false
155 },
156 "empty": false
157}
Search Lease Components¶
HTTP Request
POST /api/v1/exports/search/lease-components
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» searchRequest |
body |
false |
none |
|
»» erpSystemIds |
body |
[integer] |
false |
none |
»» leaseAreaIds |
body |
[integer] |
false |
none |
»» businessUnitIds |
body |
[integer] |
false |
none |
»» companyIds |
body |
[integer] |
false |
none |
»» searchTerm |
body |
string |
false |
none |
»» principalPositionType |
body |
string |
false |
none |
»» migratedFilterType |
body |
string |
false |
none |
»» fromYear |
body |
integer(int32) |
false |
none |
»» toYear |
body |
integer(int32) |
false |
none |
»» ids |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» migratedFilterType |
ALL, MIGRATED, NON_MIGRATED |
»» principalPositionType |
LESSEE, LESSOR |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "searchRequest": {
3 "erpSystemIds": [
4 0
5 ],
6 "leaseAreaIds": [
7 0
8 ],
9 "businessUnitIds": [
10 0
11 ],
12 "companyIds": [
13 0
14 ],
15 "searchTerm": "string",
16 "principalPositionType": "LESSEE",
17 "migratedFilterType": "MIGRATED",
18 "fromYear": 0,
19 "toYear": 0,
20 "ids": [
21 0
22 ]
23 },
24 "pageable": {
25 "page": 0,
26 "size": 10,
27 "sort": [
28 "id,asc",
29 "name,desc"
30 ]
31 }
32}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "first": true,
18 "last": true,
19 "size": 100,
20 "content": [
21 {
22 "id": 10000003,
23 "displayId": "LC-100000002",
24 "principalPositionType": {
25 "name": "LESSEE",
26 "captionKey": "enum.principalpositiontype.lessee",
27 "caption": "Lessee"
28 },
29 "name": "patched lease component",
30 "description": "string",
31 "bulkAsset": false,
32 "rouStartDate": "2019-08-24",
33 "rouEndDate": "2019-08-24",
34 "approverComment": "string",
35 "fairMarketValue": 0,
36 "allocationNumber": "string",
37 "guaranteedResidualValue": 0,
38 "unitDistributions": [],
39 "revision": {
40 "id": 10000003,
41 "displayId": "0461332847-20250827-142605",
42 "name": "Inception",
43 "inception": true,
44 "revisionType": "ACTIVE",
45 "state": "LC_DEFINE",
46 "approvedBy": "string",
47 "approvedAt": "2019-08-24",
48 "parentRevisionId": 0,
49 "approverComment": "string",
50 "leaseComponentId": 10000003,
51 "leaseComponentDisplayId": "LC-100000002",
52 "leaseComponentName": "Test2 lease component",
53 "contractRevisionId": 10000001,
54 "contractRevisionDisplayId": "1617141777-20250724-115809",
55 "numberRangeIdentifierType": {
56 "name": "COMPANY_CODE"
57 },
58 "numberRangeIdentifierValue": "string",
59 "numberRangeType": {
60 "name": "CONTRACT"
61 },
62 "allowsSystemGenerateNewId": false
63 },
64 "internalAssetClass": {
65 "id": 10000001,
66 "displayId": "IAC-001",
67 "status": {
68 "name": "ACTIVE",
69 "captionKey": "enum.objectStatus.active",
70 "active": true,
71 "caption": "Active"
72 },
73 "name": "Machinery and Equipment",
74 "assetClassType": "PROPERTY",
75 "infiniteUsefulLife": false
76 },
77 "unitOfMeasure": {
78 "id": 10000198,
79 "displayId": "MPA",
80 "status": {
81 "name": "ACTIVE",
82 "captionKey": "enum.objectStatus.active",
83 "active": true,
84 "caption": "Active"
85 },
86 "name": "Megapascal",
87 "erpSystemId": 10000001
88 },
89 "notifications": [],
90 "spreadingFrequency": "NONE",
91 "contractId": 10000001,
92 "contractDisplayId": "CT-100000000",
93 "companyCodeId": 10000002,
94 "companyCodeDisplayId": "string",
95 "userDeterminedLeaseType": {
96 "name": "LEASE_CONTRACT_FIX",
97 "captionKey": "enum.leaseType.fix",
98 "principalPositionType": "LESSEE",
99 "caption": "Fixed Lease Contract"
100 },
101 "endOfTermDate": "2019-08-24",
102 "endOfTermPeriod": "string",
103 "allowsSystemGenerateNewId": false,
104 "transferInfo": {
105 "transferredFromDisplayId": "CTR-00012",
106 "transferredFromRevisionId": 20000001,
107 "transferredToDisplayId": "CTR-00015",
108 "transferredToRevisionId": 20000005
109 },
110 "numberRangeIdentifierType": {
111 "name": "COMPANY_CODE"
112 },
113 "numberRangeIdentifierValue": "string",
114 "numberRangeType": {
115 "name": "CONTRACT"
116 },
117 "type": "LESSEE"
118 }
119 ],
120 "number": 0,
121 "sort": {
122 "unsorted": false,
123 "sorted": true,
124 "empty": false
125 },
126 "empty": false
127}
Search Contracts¶
HTTP Request
POST /api/v1/exports/search/contracts
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» searchRequest |
body |
false |
none |
|
»» erpSystemIds |
body |
[integer] |
false |
none |
»» leaseAreaIds |
body |
[integer] |
false |
none |
»» businessUnitIds |
body |
[integer] |
false |
none |
»» companyIds |
body |
[integer] |
false |
none |
»» searchTerm |
body |
string |
false |
none |
»» principalPositionType |
body |
string |
false |
none |
»» migratedFilterType |
body |
string |
false |
none |
»» fromYear |
body |
integer(int32) |
false |
none |
»» toYear |
body |
integer(int32) |
false |
none |
»» ids |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» migratedFilterType |
ALL, MIGRATED, NON_MIGRATED |
»» principalPositionType |
LESSEE, LESSOR |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "searchRequest": {
3 "erpSystemIds": [
4 0
5 ],
6 "leaseAreaIds": [
7 0
8 ],
9 "businessUnitIds": [
10 0
11 ],
12 "companyIds": [
13 0
14 ],
15 "searchTerm": "string",
16 "principalPositionType": "LESSEE",
17 "migratedFilterType": "MIGRATED",
18 "fromYear": 0,
19 "toYear": 0,
20 "ids": [
21 0
22 ]
23 },
24 "pageable": {
25 "page": 0,
26 "size": 10,
27 "sort": [
28 "id,asc",
29 "name,desc"
30 ]
31 }
32}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "first": true,
18 "last": true,
19 "size": 100,
20 "content": [
21 {
22 "id": 10000018,
23 "displayId": "CT-100001000",
24 "name": "Testtt Contract",
25 "principalPositionType": {
26 "name": "LESSEE",
27 "captionKey": "enum.principalpositiontype.lessee",
28 "caption": "Lessee"
29 },
30 "validFrom": "2019-08-24",
31 "validTo": "2019-08-24",
32 "amendmentDate": "2019-08-24",
33 "approverComment": "string",
34 "contractPhase": "INITIAL",
35 "dataCreationInfo": {
36 "id": 0,
37 "idGenerationType": "AUTO",
38 "source": "string",
39 "type": "MIGRATION",
40 "startDateTime": "2019-08-24T14:15:22Z",
41 "endDateTime": "2019-08-24T14:15:22Z"
42 },
43 "leaseType": {
44 "name": "LEASE_CONTRACT_FIX",
45 "captionKey": "enum.leaseType.fix",
46 "principalPositionType": "LESSEE",
47 "caption": "Fixed Lease Contract"
48 },
49 "revision": {
50 "id": 10000008,
51 "displayId": "CR-0001",
52 "name": "Initial Revision",
53 "inception": "2019-08-24",
54 "revisionType": "ACTIVE",
55 "state": "LC_DEFINE",
56 "approvedBy": "manager.user@company.com",
57 "approvedAt": "2019-08-24T14:15:22Z",
58 "parentRevisionId": 10000010,
59 "approverComment": "Approved with changes.",
60 "contractId": 20000001,
61 "contractDisplayId": "C-0001",
62 "contractName": "Office Lease Contract",
63 "principalPositionType": {
64 "name": "LESSEE",
65 "captionKey": "enum.principalpositiontype.lessee",
66 "caption": "Lessee"
67 },
68 "mlaId": 30000001,
69 "companyId": 40000001,
70 "description": "Revision to adjust payment terms.",
71 "externalReference": "EXT-REF-001",
72 "internalReference": "INT-REF-001",
73 "formOfLease": "FULL",
74 "jointVentureLeaseType": "GROSS_LEASE",
75 "businessPlace": "New York Office",
76 "tradingPartner": {
77 "id": 50000001,
78 "displayId": "TP-0001",
79 "status": {
80 "name": "ACTIVE",
81 "captionKey": "enum.objectStatus.active",
82 "active": true,
83 "caption": "Active"
84 },
85 "name": "ABC Real Estate Partners",
86 "erpSystemId": 60000001,
87 "erpSystemDisplayId": "ERP-SYS-01"
88 },
89 "contractCategoryGroup": {
90 "id": 0,
91 "displayId": "string",
92 "status": "CREATED",
93 "name": "string"
94 },
95 "contractGroup1": {
96 "id": 400001,
97 "displayId": "CG1-01",
98 "status": {
99 "name": "ACTIVE",
100 "captionKey": "enum.objectStatus.active",
101 "active": true,
102 "caption": "Active"
103 },
104 "name": "Real Estate Contracts"
105 },
106 "contractGroup2": {
107 "id": 500001,
108 "displayId": "CG2-01",
109 "status": {
110 "name": "ACTIVE",
111 "captionKey": "enum.objectStatus.active",
112 "active": true,
113 "caption": "Active"
114 },
115 "name": "Equipment Leasing Contracts"
116 },
117 "group3": "Group3-Value",
118 "group4": "Group4-Value",
119 "signingPerson": "John Doe",
120 "placeOfSignature": "Montreal, Canada",
121 "dateOfSignature": "2019-08-24T14:15:22Z",
122 "numberRangeIdentifierType": {
123 "name": "COMPANY_CODE"
124 },
125 "numberRangeIdentifierValue": "0001",
126 "numberRangeType": {
127 "name": "CONTRACT"
128 },
129 "allowsSystemGenerateNewId": true
130 },
131 "currency": {
132 "id": 840,
133 "displayId": "USD",
134 "status": {
135 "name": "ACTIVE",
136 "captionKey": "enum.objectStatus.active",
137 "active": true,
138 "caption": "Active"
139 },
140 "name": "United States Dollar",
141 "decimalPoints": 2
142 },
143 "companyCurrency": {
144 "id": 840,
145 "displayId": "USD",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "United States Dollar",
153 "decimalPoints": 2
154 },
155 "indexedCurrency": true,
156 "assetValueCurrencyType": "CONTRACT_CURRENCY",
157 "currencyLocked": true,
158 "leaseArea": {
159 "id": 10000001,
160 "displayId": "0001",
161 "status": {
162 "name": "ACTIVE",
163 "captionKey": "enum.objectStatus.active",
164 "active": true,
165 "caption": "Active"
166 },
167 "name": "Global Lease Area"
168 },
169 "businessUnit": {
170 "id": 10000001,
171 "displayId": "BU0001",
172 "status": {
173 "name": "ACTIVE",
174 "captionKey": "enum.objectStatus.active",
175 "active": true,
176 "caption": "Active"
177 },
178 "name": "North America Business Unit"
179 },
180 "businessUnitLocked": true,
181 "companyCode": {
182 "id": 10000006,
183 "displayId": "1005",
184 "status": {
185 "name": "ACTIVE",
186 "captionKey": "enum.objectStatus.active",
187 "active": true,
188 "caption": "Active"
189 },
190 "erpSystemId": 10000001,
191 "erpSystemDisplayId": "FINQ8S-300",
192 "countryId": 10000095,
193 "countryDisplayId": "CA",
194 "postingPeriodVariantId": 0,
195 "fiscalVariantId": 0
196 },
197 "companyCodeLocked": true,
198 "department": {
199 "id": 300001,
200 "displayId": "DEP-01",
201 "status": {
202 "name": "ACTIVE",
203 "captionKey": "enum.objectStatus.active",
204 "active": true,
205 "caption": "Active"
206 },
207 "name": "Finance Department"
208 },
209 "departmentLocked": true,
210 "leaseGroup": {
211 "id": 60000001,
212 "displayId": "LG-001",
213 "status": {
214 "name": "ACTIVE",
215 "captionKey": "enum.objectStatus.active",
216 "active": true,
217 "caption": "Active"
218 },
219 "name": "Global Lease Group"
220 },
221 "leaseGroupLocked": true,
222 "subleasingInternalAssetClass": {
223 "id": 10000001,
224 "displayId": "IAC-001",
225 "status": {
226 "name": "ACTIVE",
227 "captionKey": "enum.objectStatus.active",
228 "active": true,
229 "caption": "Active"
230 },
231 "name": "Machinery and Equipment",
232 "assetClassType": "PROPERTY",
233 "infiniteUsefulLife": false
234 },
235 "contractGroup1": {
236 "id": 400001,
237 "displayId": "CG1-01",
238 "status": {
239 "name": "ACTIVE",
240 "captionKey": "enum.objectStatus.active",
241 "active": true,
242 "caption": "Active"
243 },
244 "name": "Real Estate Contracts"
245 },
246 "contractGroup2": {
247 "id": 500001,
248 "displayId": "CG2-01",
249 "status": {
250 "name": "ACTIVE",
251 "captionKey": "enum.objectStatus.active",
252 "active": true,
253 "caption": "Active"
254 },
255 "name": "Equipment Leasing Contracts"
256 },
257 "subleasing": false,
258 "subleasingContractRevisionInfo": {
259 "id": 50000001,
260 "contractId": 40000001,
261 "contractDisplayId": "CTR-0001",
262 "contractName": "Sublease Agreement for Office Space"
263 },
264 "subleasingLeaseComponentRevisionInfo": {
265 "id": 61000001,
266 "leaseComponentId": 80000001,
267 "leaseComponentDisplayId": "LC-0001",
268 "leaseComponentName": "Vehicle Lease Component"
269 },
270 "subleasingActivationGroupRevisionInfo": {
271 "id": 60000001,
272 "activationGroupId": 70000001,
273 "activationGroupDisplayId": "AG-001",
274 "activationGroupName": "Office Equipment Activation Group"
275 },
276 "notifications": [
277 {
278 "id": 10000001,
279 "topic": {
280 "enCaption": "Lease Component Updated",
281 "frCaption": "Composant de bail mis à jour",
282 "name": "LEASE_COMPONENT_UPDATED",
283 "priority": "HIGH"
284 },
285 "username": "super.admin@nakisa.com",
286 "contractId": 10000001,
287 "contractDisplayId": "CT-100000000",
288 "targetId": "CT-100000000",
289 "targetType": "CONTRACT"
290 }
291 ],
292 "masterAgreementId": 10000001,
293 "masterAgreementDisplayId": "string",
294 "allowsSystemGenerateNewId": true,
295 "transferInfo": {
296 "transferredFromDisplayId": "CTR-00012",
297 "transferredFromRevisionId": 20000001,
298 "transferredToDisplayId": "CTR-00015",
299 "transferredToRevisionId": 20000005
300 },
301 "numberRangeIdentifierType": {
302 "name": "COMPANY_CODE"
303 },
304 "numberRangeIdentifierValue": "",
305 "numberRangeType": {
306 "name": "CONTRACT"
307 }
308 }
309 ],
310 "number": 0,
311 "sort": {
312 "unsorted": false,
313 "sorted": true,
314 "empty": false
315 },
316 "empty": false
317}
Search Charges¶
HTTP Request
POST /api/v1/exports/search/charges
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» searchRequest |
body |
false |
none |
|
»» erpSystemIds |
body |
[integer] |
false |
none |
»» leaseAreaIds |
body |
[integer] |
false |
none |
»» businessUnitIds |
body |
[integer] |
false |
none |
»» companyIds |
body |
[integer] |
false |
none |
»» searchTerm |
body |
string |
false |
none |
»» principalPositionType |
body |
string |
false |
none |
»» migratedFilterType |
body |
string |
false |
none |
»» fromYear |
body |
integer(int32) |
false |
none |
»» toYear |
body |
integer(int32) |
false |
none |
»» ids |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» migratedFilterType |
ALL, MIGRATED, NON_MIGRATED |
»» principalPositionType |
LESSEE, LESSOR |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "searchRequest": {
3 "erpSystemIds": [
4 0
5 ],
6 "leaseAreaIds": [
7 0
8 ],
9 "businessUnitIds": [
10 0
11 ],
12 "companyIds": [
13 0
14 ],
15 "searchTerm": "string",
16 "principalPositionType": "LESSEE",
17 "migratedFilterType": "MIGRATED",
18 "fromYear": 0,
19 "toYear": 0,
20 "ids": [
21 0
22 ]
23 },
24 "pageable": {
25 "page": 0,
26 "size": 10,
27 "sort": [
28 "id,asc",
29 "name,desc"
30 ]
31 }
32}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "displayId": "string",
24 "name": "string",
25 "description": "string",
26 "dueDate": "2019-08-24",
27 "amount": 0.1,
28 "hasPostedDocument": true,
29 "fiscalYear": 0,
30 "fiscalPeriod": 0,
31 "expenseCategory": {
32 "id": 101,
33 "displayId": "EC-2025-001",
34 "status": {
35 "name": "ACTIVE",
36 "captionKey": "enum.objectStatus.active",
37 "active": true,
38 "caption": "Active"
39 },
40 "name": "Lease Payment",
41 "expenseCategoryType": "PAYMENT"
42 },
43 "unitId": 0,
44 "unitDisplayId": "string",
45 "activationGroupId": 0,
46 "vendorPaymentSplits": [
47 {
48 "percentage": 50,
49 "calculateTax": true,
50 "taxExemptionPercentage": 10,
51 "partner": {
52 "id": 10000012,
53 "displayId": "0000100003",
54 "status": {
55 "name": "ACTIVE",
56 "captionKey": "enum.objectStatus.active",
57 "active": true,
58 "caption": "Active"
59 },
60 "name": "TEST VENDOR GB",
61 "erpSystemDisplayId": "FINQ8S-300"
62 },
63 "partnerRole": {
64 "id": 10000004,
65 "displayId": "40",
66 "status": {
67 "name": "ACTIVE",
68 "captionKey": "enum.objectStatus.active",
69 "active": true,
70 "caption": "Active"
71 },
72 "name": "Lessor"
73 },
74 "taxCodeDetermination": {
75 "id": 101,
76 "displayId": "TX-2025-001",
77 "companyId": 1001,
78 "taxJurisdictionId": 2001,
79 "taxJurisdictionDisplayId": "US-NY",
80 "defaultTaxCodeId": 301,
81 "defaultTaxCodeDisplayId": "TAX-001",
82 "defaultExemptionTaxCodeId": 302,
83 "defaultExemptionTaxCodeDisplayId": "TAX-EX-001",
84 "defaultExemptionPercentage": 100,
85 "mapping": {
86 "isLeaseExpense": true,
87 "nonLeaseTaxCodeId": 401,
88 "nonLeaseTaxCodeDisplayId": "NL-TAX-001",
89 "nonLeaseExemptionTaxCodeId": 402,
90 "nonLeaseExemptionTaxCodeDisplayId": "NL-TAX-EX-001",
91 "nonLeaseExemptionTaxPercentage": 50,
92 "principalTaxCodeId": 403,
93 "principalTaxCodeDisplayId": "PR-TAX-001",
94 "principalExemptionTaxCodeId": 404,
95 "principalExemptionTaxCodeDisplayId": "PR-TAX-EX-001",
96 "principalExemptionTaxPercentage": 100
97 }
98 }
99 }
100 ],
101 "numberRangeIdentifierType": {
102 "name": "COMPANY_CODE"
103 },
104 "numberRangeIdentifierValue": "string",
105 "numberRangeType": {
106 "name": "CONTRACT"
107 },
108 "allowsSystemGenerateNewId": true
109 }
110 ],
111 "number": 0,
112 "sort": {
113 "unsorted": false,
114 "sorted": true,
115 "empty": false
116 },
117 "empty": true
118}
Search Activation Groups¶
HTTP Request
POST /api/v1/exports/search/activation-groups
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» searchRequest |
body |
false |
none |
|
»» erpSystemIds |
body |
[integer] |
false |
none |
»» leaseAreaIds |
body |
[integer] |
false |
none |
»» businessUnitIds |
body |
[integer] |
false |
none |
»» companyIds |
body |
[integer] |
false |
none |
»» searchTerm |
body |
string |
false |
none |
»» principalPositionType |
body |
string |
false |
none |
»» migratedFilterType |
body |
string |
false |
none |
»» fromYear |
body |
integer(int32) |
false |
none |
»» toYear |
body |
integer(int32) |
false |
none |
»» ids |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» migratedFilterType |
ALL, MIGRATED, NON_MIGRATED |
»» principalPositionType |
LESSEE, LESSOR |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "searchRequest": {
3 "erpSystemIds": [
4 0
5 ],
6 "leaseAreaIds": [
7 0
8 ],
9 "businessUnitIds": [
10 0
11 ],
12 "companyIds": [
13 0
14 ],
15 "searchTerm": "string",
16 "principalPositionType": "LESSEE",
17 "migratedFilterType": "MIGRATED",
18 "fromYear": 0,
19 "toYear": 0,
20 "ids": [
21 0
22 ]
23 },
24 "pageable": {
25 "page": 0,
26 "size": 10,
27 "sort": [
28 "id,asc",
29 "name,desc"
30 ]
31 }
32}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "first": true,
18 "last": true,
19 "size": 100,
20 "content": [
21 {
22 "id": 10000001,
23 "displayId": "AG-100000000",
24 "principalPositionType": {
25 "name": "LESSEE",
26 "captionKey": "enum.principalpositiontype.lessee",
27 "caption": "Lessee"
28 },
29 "name": "Test2",
30 "description": "test2",
31 "approverComment": "Approved after review",
32 "snapshotData": {
33 "isParallelCurrencyEnabled": true,
34 "isCostCenterAllocationEnabled": false,
35 "useSpotRateForGroupCurrency": true,
36 "exchangeRateTypes": [
37 {
38 "currencyDefinitionType": "CONTRACT_CURRENCY",
39 "sourceCurrencyType": "COMPANY_CURRENCY",
40 "translationDateType": "POSTING_DATE",
41 "targetCurrency": {
42 "id": "string",
43 "displayId": "US Dollar",
44 "decimalPoints": 2
45 },
46 "referenceCurrency": {
47 "id": "string",
48 "displayId": "Euro"
49 },
50 "currencyType": "GROUP_CURRENCY",
51 "exchangeRateType": "STANDARD"
52 }
53 ]
54 },
55 "revision": {
56 "id": 10000001,
57 "displayId": "0374999413-20250903-161147",
58 "name": "Inception",
59 "inception": true,
60 "revisionType": "REVISION",
61 "state": "MLA_DEFINE",
62 "approvedBy": "approver.admin@nakisa.com",
63 "approvedAt": "2019-08-24T14:15:22Z",
64 "parentRevisionId": 10000000,
65 "approverComment": "Approved after financial validation.",
66 "rouStartDate": "2025-08-01",
67 "rouEndDate": "2025-08-20",
68 "activationGroupModification": {
69 "modificationDate": "2025-08-15",
70 "terminationType": "CASUALTY",
71 "terminationDate": {
72 "timing": "START_OF_DAY",
73 "year": 2025,
74 "monthValue": 9,
75 "dayOfMonth": 4,
76 "dayOfWeek": "THURSDAY",
77 "leapYear": false,
78 "dayOfYear": 247,
79 "month": "SEPTEMBER"
80 },
81 "useManualFmvValue": true,
82 "useManualAssetValues": false,
83 "enforceNonLeaseOnIndexation": false,
84 "applyIndexationLease": true,
85 "applyIndexationNonLease": false,
86 "indexationTreatmentType": "DEFAULT",
87 "indexationStartDate": "2025-09-01",
88 "indexationDateType": "USER_DEFINED",
89 "indexationStartDateNonLease": "2025-09-10",
90 "indexationDateTypeNonLease": "USER_DEFINED",
91 "modificationReasons": [
92 "CONTRACT_RATE_CHANGE",
93 "INDEXATION"
94 ],
95 "modificationPerClassificationList": [
96 {
97 "accountingStandardId": 1001,
98 "classificationType": "NON_LEASE",
99 "accountingStandardType": "IFRS",
100 "impairmentAmount": 2500.5,
101 "recoverableAmount": 2000,
102 "decreaseInAsset": 1500,
103 "decreaseInTerm": 6
104 }
105 ],
106 "massIndexationTaskId": 987654
107 },
108 "activationGroupId": 10000001,
109 "activationGroupDisplayId": "AG-100000000",
110 "activationGroupName": "Test2",
111 "leaseComponentRevisionId": 10000007,
112 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
113 "lastLeaseComponentRevisionId": 10000006,
114 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
115 "clonedFromRevisionId": 10000002,
116 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
117 "lockReason": "PENDING_TERMINATION",
118 "infiniteUsefulLife": false,
119 "transferOfOwnership": false,
120 "specializedAsset": false,
121 "fairMarketValue": 1,
122 "residualValue": 1,
123 "endOfTermIntention": "TO_BE_DETERMINED",
124 "endOfTermDate": "2025-08-11",
125 "endOfTermPeriod": 9,
126 "activationDocumentDate": "2019-08-24",
127 "activationPostingDate": "2019-08-24",
128 "closingDocumentDate": "2019-08-24",
129 "closingPostingDate": "2019-08-24",
130 "numberRangeIdentifierType": {
131 "name": "COMPANY_CODE"
132 },
133 "numberRangeIdentifierValue": "1000",
134 "numberRangeType": {
135 "name": "CONTRACT"
136 },
137 "allowsSystemGenerateNewId": false
138 },
139 "leaseComponentId": 10000007,
140 "leaseComponentDisplayId": "LC-100000200",
141 "companyCodeId": 10000002,
142 "companyCodeDisplayId": "1000",
143 "splittedFromActivationGroupRevisionId": {
144 "id": 10000001,
145 "displayId": "0374999413-20250903-161147",
146 "name": "Inception",
147 "inception": true,
148 "revisionType": "REVISION",
149 "state": "MLA_DEFINE",
150 "approvedBy": "approver.admin@nakisa.com",
151 "approvedAt": "2019-08-24T14:15:22Z",
152 "parentRevisionId": 10000000,
153 "approverComment": "Approved after financial validation.",
154 "rouStartDate": "2025-08-01",
155 "rouEndDate": "2025-08-20",
156 "activationGroupModification": {
157 "modificationDate": "2025-08-15",
158 "terminationType": "CASUALTY",
159 "terminationDate": {
160 "timing": "START_OF_DAY",
161 "year": 2025,
162 "monthValue": 9,
163 "dayOfMonth": 4,
164 "dayOfWeek": "THURSDAY",
165 "leapYear": false,
166 "dayOfYear": 247,
167 "month": "SEPTEMBER"
168 },
169 "useManualFmvValue": true,
170 "useManualAssetValues": false,
171 "enforceNonLeaseOnIndexation": false,
172 "applyIndexationLease": true,
173 "applyIndexationNonLease": false,
174 "indexationTreatmentType": "DEFAULT",
175 "indexationStartDate": "2025-09-01",
176 "indexationDateType": "USER_DEFINED",
177 "indexationStartDateNonLease": "2025-09-10",
178 "indexationDateTypeNonLease": "USER_DEFINED",
179 "modificationReasons": [
180 "CONTRACT_RATE_CHANGE",
181 "INDEXATION"
182 ],
183 "modificationPerClassificationList": [
184 {
185 "accountingStandardId": 1001,
186 "classificationType": "NON_LEASE",
187 "accountingStandardType": "IFRS",
188 "impairmentAmount": 2500.5,
189 "recoverableAmount": 2000,
190 "decreaseInAsset": 1500,
191 "decreaseInTerm": 6
192 }
193 ],
194 "massIndexationTaskId": 987654
195 },
196 "activationGroupId": 10000001,
197 "activationGroupDisplayId": "AG-100000000",
198 "activationGroupName": "Test2",
199 "leaseComponentRevisionId": 10000007,
200 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
201 "lastLeaseComponentRevisionId": 10000006,
202 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
203 "clonedFromRevisionId": 10000002,
204 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
205 "lockReason": "PENDING_TERMINATION",
206 "infiniteUsefulLife": false,
207 "transferOfOwnership": false,
208 "specializedAsset": false,
209 "fairMarketValue": 1,
210 "residualValue": 1,
211 "endOfTermIntention": "TO_BE_DETERMINED",
212 "endOfTermDate": "2025-08-11",
213 "endOfTermPeriod": 9,
214 "activationDocumentDate": "2019-08-24",
215 "activationPostingDate": "2019-08-24",
216 "closingDocumentDate": "2019-08-24",
217 "closingPostingDate": "2019-08-24",
218 "numberRangeIdentifierType": {
219 "name": "COMPANY_CODE"
220 },
221 "numberRangeIdentifierValue": "1000",
222 "numberRangeType": {
223 "name": "CONTRACT"
224 },
225 "allowsSystemGenerateNewId": false
226 },
227 "notifications": [
228 {
229 "id": 100045,
230 "topic": {
231 "enCaption": "Lease Component Updated",
232 "frCaption": "Composant de bail mis à jour",
233 "name": "LEASE_COMPONENT_UPDATED",
234 "priority": "HIGH"
235 },
236 "username": "jdoe",
237 "activationGroupId": 20000123,
238 "activationGroupDisplayId": "AG-100045",
239 "targetId": "jdoe@example.com",
240 "targetType": "USER"
241 }
242 ],
243 "transferInfo": {
244 "transferredFromDisplayId": "CTR-00012",
245 "transferredFromRevisionId": 20000001,
246 "transferredToDisplayId": "CTR-00015",
247 "transferredToRevisionId": 20000005
248 },
249 "numberRangeIdentifierType": {
250 "name": "COMPANY_CODE"
251 },
252 "numberRangeIdentifierValue": "1000",
253 "numberRangeType": {
254 "name": "CONTRACT"
255 },
256 "allowsSystemGenerateNewId": false
257 }
258 ],
259 "number": 0,
260 "sort": {
261 "unsorted": false,
262 "sorted": true,
263 "empty": false
264 },
265 "empty": false
266}
Search¶
HTTP Request
POST /api/v1/exports/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "sheetGroupTypeIn": [
16 "MASTER_AGREEMENT"
17 ],
18 "requestReferencesEqual": [
19 {
20 "key": "string",
21 "value": "string"
22 }
23 ]
24}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "taskCount": 0,
24 "failedTaskCount": 0,
25 "doneTaskCount": 0,
26 "inProgressTaskCount": 0,
27 "cancelledTaskCount": 0,
28 "errorMessage": "string",
29 "batchSize": 1000,
30 "totalObjectCount": 0,
31 "queueTime": "2019-08-24T14:15:22Z",
32 "startTime": "2019-08-24T14:15:22Z",
33 "endTime": "2019-08-24T14:15:22Z",
34 "status": "CREATED",
35 "fileStorageId": "string",
36 "generatingExportFile": true,
37 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
38 "version": 0,
39 "readOnly": true,
40 "docStoreId": 0,
41 "filter": {
42 "principalPositionType": "LESSEE",
43 "migratedFilterType": "MIGRATED",
44 "erpSystemIds": [
45 0
46 ],
47 "leaseAreaIds": [
48 0
49 ],
50 "businessUnitIds": [
51 0
52 ],
53 "companyIds": [
54 0
55 ],
56 "erpSystemFilterType": "ALL",
57 "leaseAreaFilterType": "ALL",
58 "businessUnitFilterType": "ALL",
59 "companyFilterType": "ALL",
60 "objectTypeFilter": "MASTER_AGREEMENT",
61 "ids": [
62 0
63 ],
64 "leaseComponentRevisionId": 0,
65 "leaseMeasurementId": 0,
66 "fromYear": 0,
67 "toYear": 0,
68 "unitIds": [
69 0
70 ]
71 },
72 "requestReferences": [
73 {
74 "key": "string",
75 "value": "string"
76 }
77 ],
78 "sheetTypes": [
79 {
80 "persistentId": "string",
81 "rowCaption": "string",
82 "tabCaption": "string",
83 "sheetCaption": "string",
84 "sheetGroupType": "MASTER_AGREEMENT",
85 "principalPositionMode": "LESSEE",
86 "order": 0,
87 "name": "string"
88 }
89 ],
90 "sheetGroupTypes": [
91 "MASTER_AGREEMENT"
92 ]
93 }
94 ],
95 "number": 0,
96 "sort": {
97 "unsorted": false,
98 "sorted": true,
99 "empty": false
100 },
101 "empty": true
102}
Schedule Export Job Size Likely Above Threshold¶
HTTP Request
POST /api/v1/exports/schedule-export-threshold
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "batchSize": 1000,
10 "totalObjectCount": 0,
11 "queueTime": "2019-08-24T14:15:22Z",
12 "startTime": "2019-08-24T14:15:22Z",
13 "endTime": "2019-08-24T14:15:22Z",
14 "status": "CREATED",
15 "fileStorageId": "string",
16 "generatingExportFile": true,
17 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
18 "version": 0,
19 "readOnly": true,
20 "docStoreId": 0,
21 "filter": {
22 "principalPositionType": "LESSEE",
23 "migratedFilterType": "MIGRATED",
24 "erpSystemIds": [
25 0
26 ],
27 "leaseAreaIds": [
28 0
29 ],
30 "businessUnitIds": [
31 0
32 ],
33 "companyIds": [
34 0
35 ],
36 "erpSystemFilterType": "ALL",
37 "leaseAreaFilterType": "ALL",
38 "businessUnitFilterType": "ALL",
39 "companyFilterType": "ALL",
40 "objectTypeFilter": "MASTER_AGREEMENT",
41 "ids": [
42 0
43 ],
44 "leaseComponentRevisionId": 0,
45 "leaseMeasurementId": 0,
46 "fromYear": 0,
47 "toYear": 0,
48 "unitIds": [
49 0
50 ]
51 },
52 "requestReferences": [
53 {
54 "key": "string",
55 "value": "string"
56 }
57 ],
58 "sheetTypes": [
59 {
60 "persistentId": "string",
61 "rowCaption": "string",
62 "tabCaption": "string",
63 "sheetCaption": "string",
64 "sheetGroupType": "MASTER_AGREEMENT",
65 "principalPositionMode": "LESSEE",
66 "order": 0,
67 "name": "string"
68 }
69 ],
70 "sheetGroupTypes": [
71 "MASTER_AGREEMENT"
72 ]
73}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
integer |
Example Responses
10
Search Details¶
HTTP Request
POST /api/v1/exports/reports/details/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» filter |
body |
false |
none |
|
»» reportTypeEqual |
body |
string |
false |
none |
»» itemIdIn |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» reportTypeEqual |
ERROR, SKIPPED, SUCCESS, WARNING |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filter": {
3 "reportTypeEqual": "SUCCESS",
4 "itemIdIn": [
5 0
6 ]
7 },
8 "pageable": {
9 "page": 0,
10 "size": 10,
11 "sort": [
12 "id,asc",
13 "name,desc"
14 ]
15 }
16}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "rowIdentifier": "string",
23 "reportType": "SUCCESS",
24 "message": "string",
25 "itemId": 0
26 }
27 ],
28 "number": 0,
29 "sort": {
30 "unsorted": false,
31 "sorted": true,
32 "empty": false
33 },
34 "empty": true
35}
Cancel¶
HTTP Request
POST /api/v1/exports/cancel/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Cancel All¶
HTTP Request
POST /api/v1/exports/cancel/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Find All¶
HTTP Request
GET /api/v1/exports
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "taskCount": 0,
24 "failedTaskCount": 0,
25 "doneTaskCount": 0,
26 "inProgressTaskCount": 0,
27 "cancelledTaskCount": 0,
28 "errorMessage": "string",
29 "batchSize": 1000,
30 "totalObjectCount": 0,
31 "queueTime": "2019-08-24T14:15:22Z",
32 "startTime": "2019-08-24T14:15:22Z",
33 "endTime": "2019-08-24T14:15:22Z",
34 "status": "CREATED",
35 "fileStorageId": "string",
36 "generatingExportFile": true,
37 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
38 "version": 0,
39 "readOnly": true,
40 "docStoreId": 0,
41 "filter": {
42 "principalPositionType": "LESSEE",
43 "migratedFilterType": "MIGRATED",
44 "erpSystemIds": [
45 0
46 ],
47 "leaseAreaIds": [
48 0
49 ],
50 "businessUnitIds": [
51 0
52 ],
53 "companyIds": [
54 0
55 ],
56 "erpSystemFilterType": "ALL",
57 "leaseAreaFilterType": "ALL",
58 "businessUnitFilterType": "ALL",
59 "companyFilterType": "ALL",
60 "objectTypeFilter": "MASTER_AGREEMENT",
61 "ids": [
62 0
63 ],
64 "leaseComponentRevisionId": 0,
65 "leaseMeasurementId": 0,
66 "fromYear": 0,
67 "toYear": 0,
68 "unitIds": [
69 0
70 ]
71 },
72 "requestReferences": [
73 {
74 "key": "string",
75 "value": "string"
76 }
77 ],
78 "sheetTypes": [
79 {
80 "persistentId": "string",
81 "rowCaption": "string",
82 "tabCaption": "string",
83 "sheetCaption": "string",
84 "sheetGroupType": "MASTER_AGREEMENT",
85 "principalPositionMode": "LESSEE",
86 "order": 0,
87 "name": "string"
88 }
89 ],
90 "sheetGroupTypes": [
91 "MASTER_AGREEMENT"
92 ]
93 }
94 ],
95 "number": 0,
96 "sort": {
97 "unsorted": false,
98 "sorted": true,
99 "empty": false
100 },
101 "empty": true
102}
Create¶
HTTP Request
POST /api/v1/exports
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "batchSize": 1000,
10 "totalObjectCount": 0,
11 "queueTime": "2019-08-24T14:15:22Z",
12 "startTime": "2019-08-24T14:15:22Z",
13 "endTime": "2019-08-24T14:15:22Z",
14 "status": "CREATED",
15 "fileStorageId": "string",
16 "generatingExportFile": true,
17 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
18 "version": 0,
19 "readOnly": true,
20 "docStoreId": 0,
21 "filter": {
22 "principalPositionType": "LESSEE",
23 "migratedFilterType": "MIGRATED",
24 "erpSystemIds": [
25 0
26 ],
27 "leaseAreaIds": [
28 0
29 ],
30 "businessUnitIds": [
31 0
32 ],
33 "companyIds": [
34 0
35 ],
36 "erpSystemFilterType": "ALL",
37 "leaseAreaFilterType": "ALL",
38 "businessUnitFilterType": "ALL",
39 "companyFilterType": "ALL",
40 "objectTypeFilter": "MASTER_AGREEMENT",
41 "ids": [
42 0
43 ],
44 "leaseComponentRevisionId": 0,
45 "leaseMeasurementId": 0,
46 "fromYear": 0,
47 "toYear": 0,
48 "unitIds": [
49 0
50 ]
51 },
52 "requestReferences": [
53 {
54 "key": "string",
55 "value": "string"
56 }
57 ],
58 "sheetTypes": [
59 {
60 "persistentId": "string",
61 "rowCaption": "string",
62 "tabCaption": "string",
63 "sheetCaption": "string",
64 "sheetGroupType": "MASTER_AGREEMENT",
65 "principalPositionMode": "LESSEE",
66 "order": 0,
67 "name": "string"
68 }
69 ],
70 "sheetGroupTypes": [
71 "MASTER_AGREEMENT"
72 ]
73}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "batchSize": 1000,
23 "totalObjectCount": 0,
24 "queueTime": "2019-08-24T14:15:22Z",
25 "startTime": "2019-08-24T14:15:22Z",
26 "endTime": "2019-08-24T14:15:22Z",
27 "status": "CREATED",
28 "fileStorageId": "string",
29 "generatingExportFile": true,
30 "startedGeneratingExportFileAt": "2019-08-24T14:15:22Z",
31 "version": 0,
32 "readOnly": true,
33 "docStoreId": 0,
34 "filter": {
35 "principalPositionType": "LESSEE",
36 "migratedFilterType": "MIGRATED",
37 "erpSystemIds": [
38 0
39 ],
40 "leaseAreaIds": [
41 0
42 ],
43 "businessUnitIds": [
44 0
45 ],
46 "companyIds": [
47 0
48 ],
49 "erpSystemFilterType": "ALL",
50 "leaseAreaFilterType": "ALL",
51 "businessUnitFilterType": "ALL",
52 "companyFilterType": "ALL",
53 "objectTypeFilter": "MASTER_AGREEMENT",
54 "ids": [
55 0
56 ],
57 "leaseComponentRevisionId": 0,
58 "leaseMeasurementId": 0,
59 "fromYear": 0,
60 "toYear": 0,
61 "unitIds": [
62 0
63 ]
64 },
65 "requestReferences": [
66 {
67 "key": "string",
68 "value": "string"
69 }
70 ],
71 "sheetTypes": [
72 {
73 "persistentId": "string",
74 "rowCaption": "string",
75 "tabCaption": "string",
76 "sheetCaption": "string",
77 "sheetGroupType": "MASTER_AGREEMENT",
78 "principalPositionMode": "LESSEE",
79 "order": 0,
80 "name": "string"
81 }
82 ],
83 "sheetGroupTypes": [
84 "MASTER_AGREEMENT"
85 ]
86 }
87}
Report By Task¶
HTTP Request
GET /api/v1/exports/reports/task/{taskId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
taskId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "exportTaskId": 0,
5 "sheetType": {
6 "persistentId": "string",
7 "rowCaption": "string",
8 "tabCaption": "string",
9 "sheetCaption": "string",
10 "sheetGroupType": "MASTER_AGREEMENT",
11 "principalPositionMode": "LESSEE",
12 "order": 0,
13 "name": "string"
14 },
15 "startedAt": "2019-08-24T14:15:22Z",
16 "finishedAt": "2019-08-24T14:15:22Z",
17 "doneItemCount": 0,
18 "failedItemCount": 0,
19 "skippedItemCount": 0,
20 "cancelledItemCount": 0,
21 "totalItemCount": 0
22 }
23]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» id |
integer(int64) |
false |
none |
none |
» exportTaskId |
integer(int64) |
false |
none |
none |
» sheetType |
false |
none |
none |
|
»» persistentId |
string |
true |
none |
none |
»» rowCaption |
string |
true |
none |
none |
»» tabCaption |
string |
true |
none |
none |
»» sheetCaption |
string |
true |
none |
none |
»» sheetGroupType |
string |
true |
none |
none |
»» principalPositionMode |
string |
true |
none |
none |
»» order |
integer(int32) |
false |
none |
none |
»» name |
string |
true |
none |
none |
» startedAt |
string(date-time) |
false |
none |
none |
» finishedAt |
string(date-time) |
false |
none |
none |
» doneItemCount |
integer(int32) |
false |
none |
none |
» failedItemCount |
integer(int32) |
false |
none |
none |
» skippedItemCount |
integer(int32) |
false |
none |
none |
» cancelledItemCount |
integer(int32) |
false |
none |
none |
» totalItemCount |
integer(int32) |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Report By Job¶
HTTP Request
GET /api/v1/exports/reports/job/{jobId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
jobId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "ids": [
4 0
5 ],
6 "sheetType": {
7 "persistentId": "string",
8 "rowCaption": "string",
9 "tabCaption": "string",
10 "sheetCaption": "string",
11 "sheetGroupType": "MASTER_AGREEMENT",
12 "principalPositionMode": "LESSEE",
13 "order": 0,
14 "name": "string"
15 },
16 "startedAt": "2019-08-24T14:15:22Z",
17 "finishedAt": "2019-08-24T14:15:22Z",
18 "doneItemCount": 0,
19 "failedItemCount": 0,
20 "skippedItemCount": 0,
21 "cancelledItemCount": 0,
22 "totalItemCount": 0
23 }
24]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» ids |
[integer] |
false |
none |
none |
» sheetType |
false |
none |
none |
|
»» persistentId |
string |
true |
none |
none |
»» rowCaption |
string |
true |
none |
none |
»» tabCaption |
string |
true |
none |
none |
»» sheetCaption |
string |
true |
none |
none |
»» sheetGroupType |
string |
true |
none |
none |
»» principalPositionMode |
string |
true |
none |
none |
»» order |
integer(int32) |
false |
none |
none |
»» name |
string |
true |
none |
none |
» startedAt |
string(date-time) |
false |
none |
none |
» finishedAt |
string(date-time) |
false |
none |
none |
» doneItemCount |
integer(int32) |
false |
none |
none |
» failedItemCount |
integer(int32) |
false |
none |
none |
» skippedItemCount |
integer(int32) |
false |
none |
none |
» cancelledItemCount |
integer(int32) |
false |
none |
none |
» totalItemCount |
integer(int32) |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Get All List Object Types¶
HTTP Request
GET /api/v1/exports/list-all-object-types
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "MASTER_AGREEMENT"
3]
Response Schema
Generate Export File¶
HTTP Request
GET /api/v1/exports/generate/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Download Export File¶
HTTP Request
GET /api/v1/exports/download/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |